<?
/***************************************************************************
 *   Copyright (C) 2005 by Ferenc Veres   *
 *   lion@kempelen.szodliget.tvnet.hu   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
include_once('/usr/share/php-adodb/adodb-exceptions.inc.php');
include_once('/usr/share/php-adodb/adodb.inc.php');

include_once('TranslationProject.php');
include_once('TranslationString.php');
include_once('TranslationWordList.php');
include_once('TranslationWord.php');
include_once('ProjectIterator.php');
include_once('StringIterator.php');

/**
 * Fix string for using in SQL statement
 *
 * @param $text The text to escape.
 * @returns The escaped text to use in SQL statements.
 */
 
function fixstr($text)
{
	return str_replace("'", "''", $text);
}

/**
 * Fix string for using in HTML input controls
 *
 * @param $text The text to escape.
 * @returns The escaped text &,<,>," replaced with HTML entities.
 */
 

function FixQuot($text)
{
	$s = str_replace("&", "&amp;", $text);
	$s = str_replace("\"", "&quot;", $s);
	$s = str_replace("<", "&lt;", $s);
	$s = str_replace(">", "&gt;", $s);
	return $s;
}
/**
 * Return a reference to the global database connection.
 */
 
function &GetDbConn()
{
	global $DB;
	return $DB;
}

/**
 * Return a reference to the short, interoperability table naming array.
 */

function &GetTables()
{
	$tables["WordIndex"] = "WordIndex";
	$tables["SentenceIndex"] = "SentenceIndex";
	$tables["Strings"] = "Strings";
	$tables["Projects"] = "Projects";
	$tables["Locales"] = "Locales";
	return $tables;
}

/**
* Return a variable value from the global $CONFIG array.
*/
function GetConfigVar($varName)
{
	global $CONFIG;
	return $CONFIG[$varName];
}

/**
* Load the word and sentence indexes and available locales into the related static class variables using the related static class methods.
*/

function CacheIndexes()
{
	TranslationString::InitSentenceLengthCache();
	//TranslationString::InitWordSentencesCache();
	TranslationWordList::InitWordsCache();
	TranslationProject::InitLocaleIDCache();
}
?>